Bug 422571 - "yum search" works only when debugging is enabled
"yum search" works only when debugging is enabled
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-12 16:56 EST by Göran Uddeborg
Modified: 2014-01-21 18:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-17 09:05:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2007-12-12 16:56:57 EST
Description of problem:
If I run yum with a lower debugging level than 2 I don't get any output, not
even the result of the search.

Version-Release number of selected component (if applicable):
yum-3.2.7-1.fc8

How reproducible:
Every time

Steps to Reproduce:
1. yum -d 1 search yum
  
Actual results:
Nothing.

Expected results:
All the packages listed by "yum -d 2 search yum", but excluding the debugging
information before the listed packages.
Comment 1 Seth Vidal 2007-12-17 09:05:37 EST
Correct. I've changed this around so it will output correctly for -d1 or -d0 -
just like yum list does.

Comment 2 Göran Uddeborg 2007-12-17 11:12:52 EST
Will the fix be included in any particular version of yum?  Or is that not yet
known?
Comment 3 Seth Vidal 2007-12-17 11:21:33 EST
3.2.9 will have it.

Comment 4 Göran Uddeborg 2007-12-17 13:23:35 EST
Great!

Note You need to log in before you can comment on or make changes to this bug.